Name:           sndio
Version:        1.7.0
Release:        1%{?dist}
Summary:        A small audio and MIDI framework part of the OpenBSD project

License:        ISC
URL:            https://sndio.org
Source0:        %{url}/%{name}-%{version}.tar.gz

BuildRequires:  automake
BuildRequires:  make
BuildRequires:  alsa-lib-devel
BuildRequires:  libbsd-devel
BuildRequires:  systemd-rpm-macros
BuildRequires:  gcc
# Requires:

%description
A small audio and MIDI framework part of the OpenBSD project

%package devel
Summary:    Development headers and libraries for sndio
Requires:   %{name} = %{version}-%{release}

%description devel
Development headers and libraries for sndio

%prep
%autosetup


%build
#configure --enable-alsa --with-libbsd
%{set_build_flags}
%{_configure} \
  --prefix=%{_prefix} \
  --bindir=%{_bindir} \
  --datadir=%{_datadir} \
  --includedir=%{_includedir} \
  --libdir=%{_libdir} \
  --mandir=%{_mandir} \
  --enable-alsa \
  --with-libbsd
%make_build


%install
%make_install
install -D -m 644 contrib/sndiod.service %{buildroot}%{_unitdir}/sndiod.service
install -D -m 644 contrib/default.sndiod %{buildroot}%{_sysconfdir}/default/sndiod


%pre
mkdir /var/run/sndiod
getent passwd sndiod > /dev/null || \
  useradd -r -g audio -s /sbin/nologin -d /var/run/sndiod sndiod

exit 0


%files
%license
%doc %{_mandir}/man1/*
%doc %{_mandir}/man3/*
%doc %{_mandir}/man7/*
%doc %{_mandir}/man8/*
%{_bindir}/aucat
%{_bindir}/midicat
%{_bindir}/sndioctl
%{_bindir}/sndiod
%{_libdir}/libsndio.so*
%{_unitdir}/sndiod.service
%{_sysconfdir}/default/sndiod

%files devel
%{_includedir}/sndio.h


%changelog
* Thu Jan 28 2021 Jaden Pleasants <jadenpleasants@fastmail.com> - 1.7.0-1
- Initial package
